package com.gqy.web.controller.document;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.gqy.common.core.domain.AjaxResultCQY;
import com.gqy.common.utils.StringUtils;
import com.gqy.document.domain.Project;
import com.gqy.document.domain.vo.PageResult;
import com.gqy.document.service.IProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 项目管理Controller
 */
@RestController
@RequestMapping("/project")
public class ProjectController {

    @Autowired
    private IProjectService projectService;

    /**
     * 搜索项目列表
     */
    @PostMapping("/search")
    public AjaxResultCQY search(HttpServletRequest request) {
        // 获取表单参数
        String name = request.getParameter("name");
        String status = request.getParameter("status");
        String page = request.getParameter("page");
        String page_size = request.getParameter("pageSize");

        // 参数转换
        Integer statusInt = StringUtils.isNotEmpty(status) ? Integer.valueOf(status) : null;
        Integer pageNum = StringUtils.isNotEmpty(page) ? Integer.valueOf(page) : 1;
        Integer pageSize = StringUtils.isNotEmpty(page_size) ? Integer.valueOf(page_size) : 10;

        // 分页查询
        PageHelper.startPage(pageNum, pageSize);
        List<Project> list = projectService.selectProjectList(name, statusInt);
        // 3. 获取分页信息
        PageInfo<Project> pageInfo = new PageInfo<>(list);

        // 4. 封装并返回结果
        PageResult PageResult=  new PageResult(
                pageInfo.getPageNum(),
                pageInfo.getPageSize(),
                pageInfo.getPages(),
                pageInfo.getTotal(),
                pageInfo.getList());

        return AjaxResultCQY.success("查询成功", PageResult);

    }


}
