package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gqy.common.annotation.Excel;
import com.gqy.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 【请填写功能名称】对象 dc_document
 * 
 * @author raycos
 * @date 2024-10-30
 */

public class Document extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文档ID */
    @Excel(name = "文档ID")
    private Long id;

    /** 文档标题 */
    @Excel(name = "文档标题")
    private String title;

    /** 文档内容 */
    @Excel(name = "文档内容")
    private String data;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long user_id;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long category_id;

    /** 是否模板(0否 1是) */
    @Excel(name = "是否模板", readConverterExp = "0=否,1=是")
    private Integer is_template;

    /** 状态(5-使用中 6-已停用 4-已删除) */
    @Excel(name = "状态", readConverterExp = "5=使用中,6=已停用,4=已删除")
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 创建者 */
    @Excel(name = "创建者")
    private String create_by;

    /** 更新者 */
    @Excel(name = "更新者")
    private String update_by;


    /** 当前用户ID(用于权限控制) */
    private Long current_user_id;

    /** 分类名称(非数据库字段) */
    private String category_name;

    /** 用户名称(非数据库字段) */
    private String user_name;



    public Long getCurrent_user_id() {
        return current_user_id;
    }

    public void setCurrent_user_id(Long current_user_id) {
        this.current_user_id = current_user_id;
    }

    // getter和setter方法
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public Long getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Long category_id) {
        this.category_id = category_id;
    }

    public Integer getIs_template() {
        return is_template;
    }

    public void setIs_template(Integer is_template) {
        this.is_template = is_template;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public String getCreate_by() {
        return create_by;
    }

    public void setCreate_by(String create_by) {
        this.create_by = create_by;
    }

    public String getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(String update_by) {
        this.update_by = update_by;
    }

    public String getCategory_name() {
        return category_name;
    }

    public void setCategory_name(String category_name) {
        this.category_name = category_name;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }
}
