package com.gqy.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gqy.common.annotation.Excel;

import java.util.Date;

public class ProjectDocument {

    /** ID */
    @Excel(name = "ID")
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long project_id;

    /** 文档ID */
    @Excel(name = "文档ID")
    private Long doc_id;

    /** 状态(5-使用中 6-已停用 4-已删除) */
    @Excel(name = "状态", readConverterExp = "5=使用中,6=已停用,4=已删除")
    private Integer status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;

    /** 创建者 */
    @Excel(name = "创建者")
    private String create_by;

    // getter和setter方法
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProject_id() {
        return project_id;
    }

    public void setProject_id(Long project_id) {
        this.project_id = project_id;
    }

    public Long getDoc_id() {
        return doc_id;
    }

    public void setDoc_id(Long doc_id) {
        this.doc_id = doc_id;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public String getCreate_by() {
        return create_by;
    }

    public void setCreate_by(String create_by) {
        this.create_by = create_by;
    }
}
