package com.gqy.document.domain.vo;

import java.io.Serializable;
import java.util.List;

public class PageResult implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 当前页码 */
    private Integer page;

    /** 每页数量 */
    private Integer pageSize;

    /** 总页数 */
    private Integer totalPage;

    /** 总记录数 */
    private Long totalRecord;

    /** 数据列表 */
    private List<?> dataList;

    /**
     * 默认构造函数
     */
    public PageResult() {
        this.page = 1;
        this.pageSize = 10;
        this.totalPage = 0;
        this.totalRecord = 0L;
        this.dataList = null;
    }

    /**
     * 分页参数构造函数
     */
    public PageResult(Integer page, Integer pageSize) {
        this.page = page;
        this.pageSize = pageSize;
        this.totalPage = 0;
        this.totalRecord = 0L;
        this.dataList = null;
    }

    /**
     * 完整分页构造函数
     */
    public PageResult(Integer page, Integer pageSize, Integer totalPage, Long totalRecord, List<?> dataList) {
        this.page = page;
        this.pageSize = pageSize;
        this.totalPage = totalPage;
        this.totalRecord = totalRecord;
        this.dataList = dataList;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(Integer totalPage) {
        this.totalPage = totalPage;
    }

    public Long getTotalRecord() {
        return totalRecord;
    }

    public void setTotalRecord(Long totalRecord) {
        this.totalRecord = totalRecord;
    }

    public List<?> getDataList() {
        return dataList;
    }

    public void setDataList(List<?> dataList) {
        this.dataList = dataList;
    }

    @Override
    public String toString() {
        return "PageResult{" +
                "page=" + page +
                ", pageSize=" + pageSize +
                ", totalPage=" + totalPage +
                ", totalRecord=" + totalRecord +
                ", dataList=" + dataList +
                '}';
    }
}
