package com.gqy.document.mapper;

import com.gqy.document.domain.DcTemplate;
import com.gqy.document.domain.TemplateCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板查询接口
 */
public interface DcTemplateMapper {
    /**
     * 列表搜索
     * @param name
     * @param category_id
     * @param status
     * @return
     */
    public List<DcTemplate> selectTemplateList(@Param("name") String name, @Param("category_id") Integer category_id,@Param("status") Integer status);

    /**
     * 根据ID查询模板信息
     *
     * @param id 模板ID
     * @return 模板信息
     */
    DcTemplate selectTemplateById(Long id);

    /**
     * 根据分类ID查询分类信息
     *
     * @param categoryId 分类ID
     * @return 分类信息
     */
    TemplateCategory selectTemplateCategoryById(Long categoryId);

}
