package com.gqy.document.mapper;


import com.gqy.document.domain.Document;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author raycos
 * @date 2024-10-30
 */
public interface DocumentMapper
{
    /**
     * 新增文档
     */
    public int insertDocument(Document document);

    /**
     * 校验文档标题是否唯一
     */
    public Document checkDocumentTitleUnique(@Param("title") String title, @Param("is_template") Integer is_template);

    /**
     * 查询文档列表
     */
    List<Map<String, Object>> pageDocument(Document document);

    /**
     * 查询文档列表
     *
     * @param document 文档信息
     * @return 文档集合
     */
    public List<Document> selectDocumentList(Document document);

    /**
     * 查询文档详情
     *
     * @param id 文档ID
     * @return 文档信息
     */
    public Document info(Long id);

    /**
     * 获取文档关联的产品ID列表
     *
     * @param documentId 文档ID
     * @return 关联的产品ID列表
     */
    List<Long> selectProductDocumentsByDocId(Long documentId);

    /**
     * 获取文档关联的项目ID列表
     *
     * @param documentId 文档ID
     * @return 关联的项目ID列表
     */
    List<Long> selectProjectDocumentsByDocId(Long documentId);

}
