package com.gqy.document.service;



import com.gqy.common.core.domain.AjaxResult;

import com.gqy.document.domain.Document;
import com.gqy.document.domain.vo.PageResult;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 文档管理 数据层
 *
 * @author raycos
 */
public interface IDocumentService
{
    public AjaxResult create(HttpServletRequest request, MultipartFile file);

    /**
     * 分页查询文档列表
     *
     * @param page 页码
     * @param pageSize 每页数量
     * @param document 查询条件对象
     * @return PageResult 分页结果对象
     */
    PageResult pageDocument(Integer page, Integer pageSize, Document document);


    /**
     * 查询文档列表
     *
     * @param document 文档信息
     * @return 文档集合
     */
    PageResult searchlistDoc(Integer page, Integer pageSize,Document document);

    /**
     * 查询文档详情
     *
     * @param id 文档ID
     * @return 文档信息
     */
    public Map<String, Object>  info(Long id);

}
