package com.gqy.document.service;

import com.gqy.document.domain.Work;

import java.util.List;

/**
 * 工程服务接口
 *
 * @author raycos
 */
public interface IWorkService {
    /**
     * 查询工程列表
     *
     * @param work 工程信息
     * @return 工程集合
     */
    public List<Work> selectWorkList(Work work);

    /**
     * 查询工程详细信息
     *
     * @param wkId 工程主键
     * @return 工程信息
     */
    public Work selectWorkById(Long wkId);

    /**
     * 新增工程
     *
     * @param work 工程信息
     * @return 结果
     */
    public int insertWork(Work work);

    /**
     * 修改工程
     *
     * @param work 工程信息
     * @return 结果
     */
    public int updateWork(Work work);

    /**
     * 删除工程
     * @param id
     * @return
     */
    public int deleWork(Long id);

}
