package com.gqy.document.service.impl;

import com.gqy.document.domain.TemplateCategory;
import com.gqy.document.mapper.TemplateCategoryMapper;
import com.gqy.document.service.ITemplateCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TemplateCategoryServiceImpl  implements ITemplateCategoryService {

    @Autowired
    private TemplateCategoryMapper templateCategoryMapper;

    /**
     * 查询顶级分类列表
     */
    public List<TemplateCategory> selectTopCategoryList(String name, Integer status) {
        return templateCategoryMapper.selectTopCategoryList(name, status);
    }

    /**
     * 查询子分类列表
     */
    public List<TemplateCategory> selectChildCategoryList(String parentId) {
        return templateCategoryMapper.selectChildCategoryList(parentId);
    }

    /**
     * 查询子分类数量
     */
    public int selectChildCount(Integer categoryId) {
        return templateCategoryMapper.selectChildCount(categoryId);
    }
}
